body{
	font-family: 'Open Sans', sans-serif;
}
img{
	max-width: 100%;
	height: auto;
}
.blockUI {
    z-index: 30000 !important;
}
.dw.android-ics.light .dww li{
	white-space: nowrap;
}
.scroller{
	padding-left: 10px;
}
.dwo{
	position: fixed;
}
.blockUI.blockMsg.blockPage {
	background: url(../app_images/loaders/circular/035.gif) 20px no-repeat;
    background-color: white;
    opacity: 0.5;
    padding: 13px !important;
    display: inline-block;
    border-radius: 10px;
    font-size: 18px;
    max-width: 100%;
}
.help-block.help-block-error{
	font-weight: bold;
	font-style: italic;
}
.front-end .register_form.final .helper{
	color: red;
	padding-top: 10px;
	display: inline-block;
}
.has-error input, .has-error select, .has-error textarea, .has-error .select2-container .select2-choice, .has-error .md-radio .box, .has-error .md-checkbox .box{
	-webkit-animation: zoom 1.3s infinite; /* Chrome, Safari, Opera */
    animation: zoom 1.3s infinite;
}
.front-end{
	background: url('../app_images/bg.jpg?v=1') top center no-repeat fixed;
	background-size: contain;
	background-color: #cccccc;
}
.form-group {
    margin-bottom: 10px;
}
.page-content h2 {
    /* background: #e6ad48; */
	background: #5bb0fb;
	color: white;
    font-size: 16px;
    padding: 8px;
    text-align: center;
    font-weight: 600;
    text-transform: uppercase;
}
.page-content form label {
    display: inline-block;
    width: 150px;
    font-size: 13px;
}
.page-content form > div{
	margin-bottom: 5px;
}
.page-content button, .page-content input, .page-content select, .page-content textarea {
    border-radius: 5px;
    border: 1px solid silver;
    padding: 4px 8px;
    margin-bottom: 5px;
    outline: 0px;
}
.page-content textarea, .page-content input{
	width: calc(100% - 200px);
	min-width: 250px;
}
.page-content select{
	width: 10%;
	min-width: 100px;
}
.page-content button, .page-content input[type="submit"], .page-content input[type="button"]{
    background: #61a919;
    font-weight: bold;
    color: white;
    border: none;
    font-size: 12px;
}
.page-content input[type="submit"]{
	margin-left: 150px;
}
.page-content > div > div > div, .page-content > div > div form{
	max-width: 850px;
	margin: 0 auto 5px;
}
.page-content > div > div > div > *{
	margin-bottom: 10px;
}
.page-content{
	line-height: 20px;
}
.page-content > div > div > div > span{
	display: block;
}
.ngu_hanh{
	color: white;
	padding: 1px 1px;
	margin: 0.5px;
	display: inline-block;
	font-size: 12px;
}
.ngu_hanh a{
	color: white;
}
.ngu_hanh_top{
	color: white;
	padding: 0px;
	margin: 1px;
	display: inline-block;
	font-size: 10px;
	text-align: left;
}
.ngu_hanh_tron{
	background: blue;
    display: inline-block;
    width: 40px;
    height: 40px;
    text-align: center;
    padding-top: 8px;
    position: relative;
    border-radius: 50%;
    color: white;
    font-size: 11px;
    font-weight: bold;
}
table .ngu_hanh{
		/* font-size: 9px; */
}
.ghi_chu u:first-child{
	display: none;
}
.page-content table{
	width: 100%;
}
.page-content table br{
	line-height: 10px;
}
.page-content table td{
	border: 1px solid #999;
	padding: 1px 0px 0px 0px;
	font-size: 8pt;
	/*white-space: nowrap;*/
}
.ghi_chu{
	font-style: italic;
}
	#vong_ngu_hanh_img  > div span{
	display: block;
	background: rgba(221, 221, 221, 0.53);
	border-radius: 5px;
	padding: 2px 8px;
	font-size: 7pt;
}
div#kim {
    position: absolute;
    top: 90%;
    left: 80%;
}
div#thuy {
	position: absolute;
    top: 90%;
    left: -15%;
    text-align: right;
}
div#moc {
	position: absolute;
    top: 35%;
    left: -35%;
    text-align: right;
}
div#tho {
    position: absolute;
    top: 35%;
    left: 100%;
}
div#hoa {
    position: absolute;
    top: 16%;
    left: 35%;
    margin-top: -40px;
}
#vong_ngu_hanh_img  > div{
	width: 35%;
}
#vong_ngu_hanh_img  > div label{
	display: block;
}
label .ngu_hanh {
    font-size: 10px;
}

.page-content h3, #lua_chon_cua_ban label {
    font-size: 16px;
    font-weight: bold;
    text-decoration: underline;
    padding-bottom: 5px;
}
#so_do_ngu_hanh div span:first-child{
    display: inline-block;
    width: 90px;
    vertical-align: middle;
    text-align: right;
}
#so_do_ngu_hanh div{
	position: relative;
}
#so_do_ngu_hanh div .line_top, #so_do_ngu_hanh div .line_bottom{
	display: inline-block;
    width: calc(100% - 140px);
    float: right;
}
#so_do_ngu_hanh .line_desc{
	display: inline-block;
    width: calc(100% - 140px);
    margin-left: 140px;
}
#so_do_ngu_hanh div .line_top {
    margin-top: -10px;
    padding-bottom: 5px;
    border-bottom: 2px solid black;
	white-space: nowrap;
    overflow-x: overlay;
}
#so_do_ngu_hanh div .line_bottom{
	margin-top: -14px;
}
#so_do_ngu_hanh div .line_result {
    position: relative;
    left: 100%;
    top: -35px;
}
#so_do_ngu_hanh div font{
    display: inline-block;
    width: 95px;
    font-size: 10px;
    font-weight: bold;

}
.page-content a{
	text-decoration: underline;
	font-weight: bold;
	font-style: italic;
}
span.tab {
    display: inline-block;
    width: 12px;
}
#so_do_ngu_hanh .ngu_hanh {
    font-size: 10px;
    margin: 0 -1px;
    padding: 0 3px;
}
#van_menh_cua_ban table table, #than_sat table table{
	display: inline-block;
	width: auto;
	vertical-align: middle;
	margin-left: 10px;
}
#van_menh_cua_ban table table td, #than_sat table table td{
	padding: 0;
}
#van_menh_cua_ban table table tr:first-child td, #than_sat table table tr:first-child td{
	background: #eee;
/* border-right: none; */
}
#van_menh_cua_ban table table tr:last-child td, #than_sat table table tr:last-child td{
	border-right: none;
	border-bottom: none;
}
#bat_tu_can .ngu_hanh, #bat_tu_chi .ngu_hanh{
	font-size: 14px !important;
	min-width: 40px;
}
hr{
	border-color: black;
}
#loi_ket h2, #xac_thuc h2{
	background: #5bb0fb !important;
	color: white !important;
}
#loi_ket button, #xac_thuc input[type="submit"]{
	background: #61a919 !important;
	color: white !important;
}
#bat_tu_chi p .ngu_hanh{
	font-size: 10px !important;
}
/* Chrome, Safari, Opera */
@-webkit-keyframes zoom {
    0% {
    	border-color: #ddd;
    }
    50% {
    	border-color: #F3565D;
    }
    100% {
    	border-color: #ddd;
    }
}

/* Standard syntax */
@keyframes zoom {
    0% {
    	border-color: #ddd;
    }
    50% {
    	border-color: #F3565D;
    }
    100% {
    	border-color: #ddd;
    }
}
#so_do_ngu_hanh div .line_top::-webkit-scrollbar {
    height: 5px;
}
 
#so_do_ngu_hanh div .line_top::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
}
 
#so_do_ngu_hanh div .line_top::-webkit-scrollbar-thumb {
  background-color: darkgrey;
  outline: 1px solid slategrey;
}

@media (max-width: 1024px){
	#vong_ngu_hanh_img  > div span{
	display: block;
	background: rgba(221, 221, 221, 0.53);
	border-radius: 5px;
	padding: 2px 8px;
	font-size: 7pt;
}

	#vong_ngu_hanh img {
	    width: 470px;
	    margin: 0 auto;
	    display: block;
	}
	div#tho {
	    position: absolute;
	    top: 35%;
	    left: 85%;
	}
	div#moc {
	    position: absolute;
	    top: 35%;
	    left: -20%;
	    text-align: right;
	}
	div#thuy {
	    position: absolute;
	    top: 90%;
	    left: -7%;
	    text-align: right;
	}
	div#kim {
	    position: absolute;
	    top: 90%;
	    left: 73%;
	}
}

@media (min-width: 321px) and (max-width: 991px){
	#vong_ngu_hanh img {
	    width: 340px;
	    margin: 0 auto;
	    display: block;
	    margin-bottom: 50px;
	}
	div#hoa {
	    position: absolute;
	    top: 16%;
	    left: 35%;
	}
	div#tho {
	    position: absolute;
	    top: 28%;
	    left: 76%;
	}
	div#moc {
	    position: absolute;
	    top: 28%;
	    left: -5%;
	    text-align: right;
	}
	div#kim {
	    position: absolute;
	    top: 70%;
	    left: 80%;
	}
	div#thuy {
	    position: absolute;
	    top: 65%;
	    left: -5%;
	    text-align: right;
	}
}

@media (max-width: 321px){

		#vong_ngu_hanh_img  > div span{
	display: block;
	background: rgba(221, 221, 221, 0.53);
	border-radius: 5px;
	padding: 2px 2px;
	font-size: 7pt;
}

	#vong_ngu_hanh img {
	    width: 350px;
	    margin: 0 auto;    
	    display: block;
    	margin-bottom: 50px;
	}
	div#hoa {
	    position: absolute;
	    top: 15%;
	    left: 35%;
	}
	div#tho {
	    position: absolute;
	    top: 32%;
	    left: 82%;
	}
	div#moc {
	    position: absolute;
	    top: 32%;
	    left: -10%;
	    text-align: right;
	}
	div#kim {
	    position: absolute;
	    top: 60%;
	    left: 80%;
	}
	div#thuy {
	    position: absolute;
	    top: 65%;
	    left: -5%;
	    text-align: right;
	}
}

@media (max-width: 481px){
	.page-content input[type="submit"] {
	    margin-left: 0;
	    width: 100%;
	}
	.page-content select {
	    width: 10%;
	    min-width: 100px;
	}
	.page-content form label {
    display: inline-block;
    width: 100% !important;
    font-size: 13px;
}
	.page-content button, .page-content input[type="submit"], .page-content input[type="button"]{
		width: 100%;
	}
	#vong_ngu_hanh > #so_do_ngu_hanh > div > span{
	    display: block;
	    vertical-align: middle;
	    margin-top: 5px;
	}
	#vong_ngu_hanh > #so_do_ngu_hanh > div > span:not(.ngu_hanh_tron){
	    width: 100%;
	    text-align: left;
	    left: auto;
	    top: auto;
	}
	
	div#vong_ngu_hanh_img {
	    /* margin-top: 0 !important; */
	}
	div#vong_ngu_hanh_img img{
		margin-bottom: 10px;
	}
	#so_do_ngu_hanh div font{
		display: inline;
	}
	#vong_ngu_hanh > #so_do_ngu_hanh > div > span.ngu_hanh_tron{
	    margin: 0 auto;
	}
	#so_do_ngu_hanh div span:first-child{
		font-weight: bold;
		padding: 2px 4px;
		display: block;
		background: #ddd;
		margin-bottom: 5px;
	}
	#so_do_ngu_hanh div .line_top {
		white-space: normal;
		overflow-x: visible;
	}
	#so_do_ngu_hanh .line_desc{
		display: inline-block;
		width: 100%;
		margin-left: 0;
	}
}


@media (max-width: 1920px){
.vongnguhanh {position: relative;margin-top: 10px;width: 400px; top: 70px; /* padding-bottom: 20px; */}
/* Form labels */
label {
  font-weight: 400;
  font-size: 12px;
}
label{display:inline-block;max-width:100%;margin-bottom:5px;/* font-weight:700; */}
 }

@media (min-width: 681px) and (max-width: 991px){
.vongnguhanh {position: relative;margin-top: 38px;width: 400px;left: 1px;}
/* Form labels */
label {
  font-weight: 400;
  font-size: 10px;
}
label{display:inline-block;max-width:100%;margin-bottom:5px;/* font-weight:700; */}
 }
 
 @media (min-width: 321px) and (max-width: 681px){
.vongnguhanh {position: relative;margin-top: 38px;width: 310px;left: -10px;margin-bottom: 50px !important;}
/* Form labels */
label {
  font-weight: 400;
  font-size: 10px;
}
label{display:inline-block;max-width:100%;margin-bottom:5px;/* font-weight:700; */}
 }
 
@media (max-width: 321px){
.vongnguhanh {position: relative;/* margin-top: 50px !important; */width: 200px;margin-bottom: 70px !important;padding-top: 20px;left: -10px;}
/* Form labels */
label {
  /* font-weight: 300; */
  font-size: 8px;
}
label{display:inline-block;max-width:100%;margin-bottom:5px;/* font-weight:700; */}
}

/* 8 đại vận */
@media (max-width: 1800px){

#daivan {width:100%; height: 120px;}
.daivanL{width:49%; float:left;}
.daivanR {width:49%; float:right; left: 2px;}
.dai_van_nam { display: none;}
}

@media (max-width: 681px){ 
#daivan {width:100%;height:200px;}
.daivanL{width:100%;float:left;}
.daivanR {width:100%;float:right; top: 5px; padding-top: 5px;}
.dai_van_nam { display: none;}
}

}


#so_do_ngu_hanh2 div span:first-child{
    display: inline-block;
    width: 80px;
    vertical-align: middle;
    text-align: right;
}
#so_do_ngu_hanh2 div{
	position: relative;
	font-size: 9px;
}
#so_do_ngu_hanh2 div .line_top, #so_do_ngu_hanh2 div .line_bottom{
	display: inline-block;
    width: calc(100% - 10px);
    float: right;
}
#so_do_ngu_hanh2 .line_desc{
	display: inline-block;
    width: calc(100% - 100px);
    margin-left: 100px;
	margin-top: -14px;
    margin-bottom: -15px;
}
#so_do_ngu_hanh2 div .line_top {
    margin-top: 2px;
    padding-bottom: 2px;
    border-bottom: 2px solid #dadada;
	white-space: nowrap;
    overflow-x: overlay;
	
}
#so_do_ngu_hanh2 div .line_bottom{
	margin-top: 2px;
}
#so_do_ngu_hanh2 div .line_result {
    position: relative;
    left: 100%;
    top: -35px;
}
#so_do_ngu_hanh2 div font{
    display: inline-block;
    width: 95px;
    font-size: 8px;
    font-weight: bold;

}

#so_do_ngu_hanh2 .ngu_hanh {
    font-size: 8px;
    margin: 0 -1px;
    padding: 0 3px;
}